Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SoftMainMixer

    java.lang.Object
      com.sun.media.sound.SoftMainMixer

    public class SoftMainMixer

extends java.lang.Object

Software synthesizer main audio mixer.

Author:
  Karl Helgason

Field Summary
`static int` | `CHANNEL_CHANNELMIXER_LEFT`
`static int` | `CHANNEL_CHANNELMIXER_RIGHT`
`static int` | `CHANNEL_EFFECT1`
`static int` | `CHANNEL_EFFECT2`
`static int` | `CHANNEL_EFFECT3`
`static int` | `CHANNEL_EFFECT4`
`static int` | `CHANNEL_LEFT`
`static int` | `CHANNEL_LEFT_DRY`
`static int` | `CHANNEL_RIGHT`
`static int` | `CHANNEL_RIGHT_DRY`
`static int` | `CHANNEL_SCRATCH1`
`static int` | `CHANNEL_SCRATCH2`

Constructor Summary
`SoftMainMixer(SoftSynthesizer synth)`

Method Summary
`void` | `activity()`
`void` | `close()`
`int` | `getBalance()`
`int` | `getCoarseTuning()`
`int` | `getFineTuning()`
`javax.sound.sampled.AudioInputStream` | `getInputStream()`
`long` | `getMicrosecondPosition()`
`int` | `getVolume()`
`void` | `globalParameterControlChange(int[] slothpath, long[] params, long[] paramsvalue)`
`void` | `processMessage(byte[] data)`
`void` | `processMessage(int ch, int cmd, int data1, int data2)`
`void` | `processMessage(javax.sound.midi.MidiMessage message)`
`void` | `processMessage(java.lang.Object object)`
`void` | `registerMixer(ModelChannelMixer mixer)`
`void` | `reset()`
`void` | `setBalance(int value)`
`void` | `setCoarseTuning(int value)`
`void` | `setFineTuning(int value)`
`void` | `setVolume(int value)`
`void` | `stopMixer(ModelChannelMixer mixer)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHANNEL_LEFT

    public static final int CHANNEL_LEFT

See Also:
  Constant Field Values

### CHANNEL_RIGHT

    public static final int CHANNEL_RIGHT

See Also:
  Constant Field Values

### CHANNEL_EFFECT1

    public static final int CHANNEL_EFFECT1

See Also:
  Constant Field Values

### CHANNEL_EFFECT2

    public static final int CHANNEL_EFFECT2

See Also:
  Constant Field Values

### CHANNEL_EFFECT3

    public static final int CHANNEL_EFFECT3

See Also:
  Constant Field Values

### CHANNEL_EFFECT4

    public static final int CHANNEL_EFFECT4

See Also:
  Constant Field Values

### CHANNEL_LEFT_DRY

    public static final int CHANNEL_LEFT_DRY

See Also:
  Constant Field Values

### CHANNEL_RIGHT_DRY

    public static final int CHANNEL_RIGHT_DRY

See Also:
  Constant Field Values

### CHANNEL_SCRATCH1

    public static final int CHANNEL_SCRATCH1

See Also:
  Constant Field Values

### CHANNEL_SCRATCH2

    public static final int CHANNEL_SCRATCH2

See Also:
  Constant Field Values

### CHANNEL_CHANNELMIXER_LEFT

    public static final int CHANNEL_CHANNELMIXER_LEFT

See Also:
  Constant Field Values

### CHANNEL_CHANNELMIXER_RIGHT

    public static final int CHANNEL_CHANNELMIXER_RIGHT

See Also:
  Constant Field Values

Constructor Detail

### SoftMainMixer

    public SoftMainMixer(SoftSynthesizer synth)

Method Detail

### activity

    public void activity()

### stopMixer

    public void stopMixer(ModelChannelMixer mixer)

### registerMixer

    public void registerMixer(ModelChannelMixer mixer)

### getInputStream

    public javax.sound.sampled.AudioInputStream getInputStream()

### reset

    public void reset()

### setVolume

    public void setVolume(int value)

### setBalance

    public void setBalance(int value)

### setFineTuning

    public void setFineTuning(int value)

### setCoarseTuning

    public void setCoarseTuning(int value)

### getVolume

    public int getVolume()

### getBalance

    public int getBalance()

### getFineTuning

    public int getFineTuning()

### getCoarseTuning

    public int getCoarseTuning()

### globalParameterControlChange

    public void globalParameterControlChange(int[] slothpath,
                                             long[] params,
                                             long[] paramsvalue)

### processMessage

    public void processMessage(java.lang.Object object)

### processMessage

    public void processMessage(javax.sound.midi.MidiMessage message)

### processMessage

    public void processMessage(byte[] data)

### processMessage

    public void processMessage(int ch,
                               int cmd,
                               int data1,
                               int data2)

### getMicrosecondPosition

    public long getMicrosecondPosition()

### close

    public void close()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD